Debian Bug report logs - #602863
manage dhcp+dns with gosa

version graph

Package: debian-edu; Maintainer for debian-edu is Debian Edu Developers <debian-edu@lists.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 8 Nov 2010 23:21:01 UTC

Severity: important

Fixed in version debian-edu/0.852

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pollmeier@gonicus.de, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Mon, 08 Nov 2010 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to pollmeier@gonicus.de, Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 08 Nov 2010 23:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: manage dhcp+dns with gosa
Date: Tue, 9 Nov 2010 00:16:59 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu-config
severity: important
version: 1.444
found: 1.442
x-debbugs-cc: pollmeier@gonicus.de 

Hi,

we (debian-edu-config) need a user-friendly way to edit dns+dhcp. (And we 
needed a bug to track the issue. Here comes the bug.) 

<pere> getting the gosa dns plugin to work with powerdns in strict mode is a 
simple change, adding one extra attribute to the ldap objects, so I believe 
we should go that way.
<h01ger> pere, this one extra attribute to the ldap object, which package is 
that that needs modificatio?
<pere> h01ger: no idea.  I just looked at the ldap objects provided as pastes 
by and1bm .
<pere> it is adding domainname: foo.intern or something like that.

http://article.gmane.org/gmane.comp.ldap.gosa/506

<and1bm> I do not have the time to work on the pdns issue (and I am not sure 
if it's that easy).

<pere> #info associatedDomain is the ldap attribute needed.

So for this we just need to modify a schema? A copy in debia-edu-config or 
rather the original in gosa?


cheers,
	Holger

P.S.: filing it only as important, as the task itself is doable with ldapvi or 
luma - that just lacks documentation.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Sun, 13 Feb 2011 11:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 13 Feb 2011 11:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 602863@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 602863@bugs.debian.org, José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>
Subject: from bind9 to powerdns and back to bind9
Date: Sun, 13 Feb 2011 12:45:36 +0100
[Message part 1 (text/plain, inline)]
Hi,

during the Debian Edu meeting here in Zweibrücken we discussed #602863 and how 
to solve it. I've asked about 15 people what they'd think about us previously 
using bind9 (until and including etch), then moving to powerdns (in lenny) 
and then switching back to bind9 in squeeze. Everybody except two people were 
_enthusiastic_ about the idea, one person wanted to stay neutral and one 
neither liked bind9 nor powerdns (and suggested dnsmasq which appearantly 
also has ldap support).

So we decided to switch back to bind9 to solve #602863.

And we still seek feedback and comments on this!

This was done in svn for the debian-edu and debian-edu-config packages in 
r72928-72930:

  * Switch from pdns to bind and ldap2zone.  This enables management of
    hosts with GOsa and has been done to enable further testing. Obviously
    it could be reverted and needs to be agreed on.  Also needs
    documentation if kept for the release. Add debian/TODO.Squeeze. 

debian/TODO.Squeeze is kept in debian-edu-config and reads:

* cf.pdns for pdns has been kept for easier reverting back to pdns.
  Or is this useful for users of pdns too (luis)?
  There were also thoughts about an install option (like gnome instead of kde)
  though this aint that easy probably, as it also involves the ldap ui...
* Some extra attributes (objectClass: domainRelatedObject i.e.
  associateddomain) in gosa-server.ldif have also been kept, they
  probably conflict with making additions/changes in GOsa and need to
  be removed if we want to keep bind.

Currently it seems we have broken the main server installation with this, we 
are working on fixing this, but due to traveling and the work week starting 
tomorrow this might take a few days. Stay tuned :-)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Sun, 13 Feb 2011 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 13 Feb 2011 15:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 602863@bugs.debian.org (full text, mbox):

From: José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>
To: Holger Levsen <holger@layer-acht.org>, 602863@bugs.debian.org
Subject: Re: Bug#602863: from bind9 to powerdns and back to bind9
Date: Sun, 13 Feb 2011 16:17:44 +0100
[Message part 1 (text/plain, inline)]
El dom, 13-02-2011 a las 12:45 +0100, Holger Levsen escribió:
> Hi,
> 
> during the Debian Edu meeting here in Zweibrücken we discussed #602863 and how 
> to solve it. I've asked about 15 people what they'd think about us previously 
> using bind9 (until and including etch), then moving to powerdns (in lenny) 
> and then switching back to bind9 in squeeze. Everybody except two people were 
> _enthusiastic_ about the idea, one person wanted to stay neutral and one 
> neither liked bind9 nor powerdns (and suggested dnsmasq which appearantly 
> also has ldap support).
> 
> So we decided to switch back to bind9 to solve #602863.
> 
> And we still seek feedback and comments on this!
> 

Obviously, you're free to do it. From my point of view, these are not
good news.
In the future, in our schools we're not going to switch back to use
bind9 and will keep the current setup with pdns.
Having all the infraestructure and information stored in ldap is very
safe when you have several thousands of ltsp servers and don't want to
manually modify configuration files whenever a new server is placed or
moved. More things are in ldap, less things we have to touch.

#602863 is not important for us. Our servers still remain in lenny and
our plans to move to squeeze (or wheeze) include the development of a
lwat replacement. We need to develop it to fit our needs as we have to
create accounts massively every beginning of the course using as source
an external application where our ministry manages all the educational
data for every citizen. So, neither gosa, cipux or lwat can fulfill our
needs, and a custom development is the only solution I can see.

So, as we all use Debian and can touch everything, don't take this as a
negative vote. We can do all the changes we need to adjust the
installation to our setup. 
Currently we change some things, and in the future more changes will be
needed, including removal of the debian-edu-config package. 
Fortunately, our release cycle for the school servers setup is more than
two years, so we have time to adapt our setups.


Regards.


> This was done in svn for the debian-edu and debian-edu-config packages in 
> r72928-72930:
> 
>   * Switch from pdns to bind and ldap2zone.  This enables management of
>     hosts with GOsa and has been done to enable further testing. Obviously
>     it could be reverted and needs to be agreed on.  Also needs
>     documentation if kept for the release. Add debian/TODO.Squeeze. 
> 
> debian/TODO.Squeeze is kept in debian-edu-config and reads:
> 
> * cf.pdns for pdns has been kept for easier reverting back to pdns.
>   Or is this useful for users of pdns too (luis)?
>   There were also thoughts about an install option (like gnome instead of kde)
>   though this aint that easy probably, as it also involves the ldap ui...
> * Some extra attributes (objectClass: domainRelatedObject i.e.
>   associateddomain) in gosa-server.ldif have also been kept, they
>   probably conflict with making additions/changes in GOsa and need to
>   be removed if we want to keep bind.
> 
> Currently it seems we have broken the main server installation with this, we 
> are working on fixing this, but due to traveling and the work week starting 
> tomorrow this might take a few days. Stay tuned :-)
> 
> 
> cheers,
> 	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Sun, 13 Feb 2011 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 13 Feb 2011 16:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 602863@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 602863@bugs.debian.org, José L. Redrejo Rodríguez <jredrejo@edu.juntaextremadura.net>
Subject: Re: Bug#602863: from bind9 to powerdns and back to bind9
Date: Sun, 13 Feb 2011 17:09:00 +0100
[José L. Redrejo Rodríguez]
> Obviously, you're free to do it. From my point of view, these are
> not good news.  In the future, in our schools we're not going to
> switch back to use bind9 and will keep the current setup with pdns.
> Having all the infraestructure and information stored in ldap is
> very safe when you have several thousands of ltsp servers and don't
> want to manually modify configuration files whenever a new server is
> placed or moved. More things are in ldap, less things we have to
> touch.

Note that DNS info will still be in LDAP, also with bind9.  But the
LDAP schema used is differet with bind9 than with powerdns.  The LDAP
info is transfered to bind9 config files using the ldap2zone package.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Sun, 13 Feb 2011 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 13 Feb 2011 16:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 602863@bugs.debian.org (full text, mbox):

From: José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 602863@bugs.debian.org
Subject: Re: Bug#602863: from bind9 to powerdns and back to bind9
Date: Sun, 13 Feb 2011 17:36:49 +0100
[Message part 1 (text/plain, inline)]
El dom, 13-02-2011 a las 17:09 +0100, Petter Reinholdtsen escribió:
> [José L. Redrejo Rodríguez]
> > Obviously, you're free to do it. From my point of view, these are
> > not good news.  In the future, in our schools we're not going to
> > switch back to use bind9 and will keep the current setup with pdns.
> > Having all the infraestructure and information stored in ldap is
> > very safe when you have several thousands of ltsp servers and don't
> > want to manually modify configuration files whenever a new server is
> > placed or moved. More things are in ldap, less things we have to
> > touch.
> 
> Note that DNS info will still be in LDAP, also with bind9.  But the
> LDAP schema used is differet with bind9 than with powerdns.  The LDAP
> info is transfered to bind9 config files using the ldap2zone package.
> 

Sorry I haven't had time enouth to even take a look to these changes.
Will ldap2zone remove previous zones in a bind configuration. I.E. not
installing a new server, but moving it from a classroom to another or
from a school to another, will it remove previous configs and create new
ones?

Anyway, at the end of it, I don't see any benefit from going back to
bind9 and having to change the configurations again, and having to train
the technical stuff again...
If the change is due only to an admin tool, and not because the  dns
solution is better, I can't see a reason to change, as I can not use
that admin tool.



> Happy hacking,
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Sun, 13 Feb 2011 23:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 13 Feb 2011 23:45:05 GMT) Full text and rfc822 format available.

Message #30 received at 602863@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>, 602863@bugs.debian.org
Subject: Re: Bug#602863: from bind9 to powerdns and back to bind9
Date: Sun, 13 Feb 2011 20:08:28 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 13. Februar 2011, José L. Redrejo Rodríguez wrote:
> Having all the infraestructure and information stored in ldap is very
> safe when you have several thousands of ltsp servers and don't want to
> manually modify configuration files whenever a new server is placed or
> moved. More things are in ldap, less things we have to touch.

we'll keep having dns+dhcp information in ldap, we'll be using ldap2zone to 
write out the bind configuration into files.

this is done by an cronjob running hourly and can also be triggered manually 
by running ldap2bind.

> So, as we all use Debian and can touch everything, don't take this as a
> negative vote. We can do all the changes we need to adjust the
> installation to our setup.

thanks for this clarification! (and your general understanding/acceptiveness!)

> Currently we change some things, and in the future more changes will be
> needed, including removal of the debian-edu-config package.

No, that shouldn't be needed. We just changed the recommends from "pdns" 
to "bind9 | pnds" so if your packages depend on pdns, all is good.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#602863; Package debian-edu-config. (Mon, 14 Feb 2011 08:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 14 Feb 2011 08:48:06 GMT) Full text and rfc822 format available.

Message #35 received at 602863@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: José "L. Redrejo" Rodríguez <jredrejo@edu.juntaextremadura.net>, 602863@bugs.debian.org
Subject: Re: Bug#602863: from bind9 to powerdns and back to bind9
Date: Mon, 14 Feb 2011 09:46:35 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sonntag, 13. Februar 2011, José L. Redrejo Rodríguez wrote:
> Sorry I haven't had time enouth to even take a look to these changes.

np - thats why I cc:ed you and am happy to answer your (or anybodys 
questions) :)

> Will ldap2zone remove previous zones in a bind configuration. I.E. not
> installing a new server, but moving it from a classroom to another or
> from a school to another, will it remove previous configs and create new
> ones?

No, existing configs will stay the same.

> Anyway, at the end of it, I don't see any benefit from going back to
> bind9 and having to change the configurations again, and having to train
> the technical stuff again...

Understandable.

> If the change is due only to an admin tool, and not because the  dns
> solution is better, I can't see a reason to change, as I can not use
> that admin tool.

(I also think bind9 is a better choice but) I understand your reasons. For us, 
having an admin tool is crucial though. (I assume you have some other admin 
tool too though... ;)


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-edu-config' to 'debian-edu'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 13:18:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-edu-config/1.444. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 13:18:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 04 Jun 2011 13:18:04 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Fri, 23 Dec 2011 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 23 Dec 2011 18:51:08 GMT) Full text and rfc822 format available.

Message #46 received at 602863-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 602863-close@bugs.debian.org
Subject: Bug#602863: fixed in debian-edu 0.852
Date: Fri, 23 Dec 2011 18:47:32 +0000
Source: debian-edu
Source-Version: 0.852

We believe that the bug you reported is fixed in the latest version of
debian-edu, which is due to be installed in the Debian FTP archive:

debian-edu_0.852.dsc
  to main/d/debian-edu/debian-edu_0.852.dsc
debian-edu_0.852.tar.gz
  to main/d/debian-edu/debian-edu_0.852.tar.gz
education-astronomy_0.852_i386.deb
  to main/d/debian-edu/education-astronomy_0.852_i386.deb
education-chemistry_0.852_i386.deb
  to main/d/debian-edu/education-chemistry_0.852_i386.deb
education-common_0.852_i386.deb
  to main/d/debian-edu/education-common_0.852_i386.deb
education-desktop-gnome_0.852_i386.deb
  to main/d/debian-edu/education-desktop-gnome_0.852_i386.deb
education-desktop-kde_0.852_i386.deb
  to main/d/debian-edu/education-desktop-kde_0.852_i386.deb
education-desktop-lxde_0.852_i386.deb
  to main/d/debian-edu/education-desktop-lxde_0.852_i386.deb
education-desktop-other_0.852_i386.deb
  to main/d/debian-edu/education-desktop-other_0.852_i386.deb
education-desktop-sugar_0.852_i386.deb
  to main/d/debian-edu/education-desktop-sugar_0.852_i386.deb
education-development_0.852_i386.deb
  to main/d/debian-edu/education-development_0.852_i386.deb
education-electronics_0.852_i386.deb
  to main/d/debian-edu/education-electronics_0.852_i386.deb
education-geography_0.852_i386.deb
  to main/d/debian-edu/education-geography_0.852_i386.deb
education-graphics_0.852_i386.deb
  to main/d/debian-edu/education-graphics_0.852_i386.deb
education-language_0.852_i386.deb
  to main/d/debian-edu/education-language_0.852_i386.deb
education-laptop_0.852_i386.deb
  to main/d/debian-edu/education-laptop_0.852_i386.deb
education-logic-games_0.852_i386.deb
  to main/d/debian-edu/education-logic-games_0.852_i386.deb
education-main-server_0.852_i386.deb
  to main/d/debian-edu/education-main-server_0.852_i386.deb
education-mathematics_0.852_i386.deb
  to main/d/debian-edu/education-mathematics_0.852_i386.deb
education-menus_0.852_i386.deb
  to main/d/debian-edu/education-menus_0.852_i386.deb
education-misc_0.852_i386.deb
  to main/d/debian-edu/education-misc_0.852_i386.deb
education-music_0.852_i386.deb
  to main/d/debian-edu/education-music_0.852_i386.deb
education-networked_0.852_i386.deb
  to main/d/debian-edu/education-networked_0.852_i386.deb
education-physics_0.852_i386.deb
  to main/d/debian-edu/education-physics_0.852_i386.deb
education-services_0.852_i386.deb
  to main/d/debian-edu/education-services_0.852_i386.deb
education-standalone_0.852_i386.deb
  to main/d/debian-edu/education-standalone_0.852_i386.deb
education-tasks_0.852_i386.deb
  to main/d/debian-edu/education-tasks_0.852_i386.deb
education-thin-client-server_0.852_i386.deb
  to main/d/debian-edu/education-thin-client-server_0.852_i386.deb
education-thin-client_0.852_i386.deb
  to main/d/debian-edu/education-thin-client_0.852_i386.deb
education-workstation_0.852_i386.deb
  to main/d/debian-edu/education-workstation_0.852_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated debian-edu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 23 Dec 2011 18:35:36 +0100
Source: debian-edu
Binary: education-tasks education-menus education-astronomy education-chemistry education-common education-desktop-gnome education-desktop-kde education-desktop-lxde education-desktop-other education-desktop-sugar education-development education-electronics education-geography education-graphics education-language education-laptop education-logic-games education-main-server education-mathematics education-misc education-music education-networked education-physics education-services education-standalone education-thin-client education-thin-client-server education-workstation
Architecture: source i386
Version: 0.852
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 education-astronomy - Debian Edu astronomy related applications
 education-chemistry - Debian Edu chemistry related applications
 education-common - Debian Edu common packages
 education-desktop-gnome - Debian Edu GNOME desktop applications
 education-desktop-kde - Debian Edu KDE desktop applications
 education-desktop-lxde - Debian Edu LXDE desktop applications
 education-desktop-other - Debian Edu non-GNOME- and non-KDE-specific desktop applications
 education-desktop-sugar - Debian Edu sugar desktop environment
 education-development - Debian Edu software development related educational applications
 education-electronics - Debian Edu electronics related applications
 education-geography - Debian Edu applications for geography
 education-graphics - Debian Edu graphics related applications
 education-language - Debian Edu language related educational applications
 education-laptop - Debian Edu laptop packages
 education-logic-games - Debian Edu logic games
 education-main-server - Debian Edu main server packages
 education-mathematics - Debian Edu mathematical applications
 education-menus - Debian Edu menu reorganization
 education-misc - Debian Edu miscellaneous applications for education
 education-music - Debian Edu music and sound applications
 education-networked - Debian Edu networked minimal packages
 education-physics - Debian Edu physics related applications
 education-services - Debian Edu services for educational institutions
 education-standalone - Debian Edu standalone workstation packages
 education-tasks - Debian Edu tasks for tasksel
 education-thin-client - Debian Edu networked thin client packages
 education-thin-client-server - Debian Edu networked thin client server packages
 education-workstation - Debian Edu networked workstation packages
Closes: 602863 617381
Changes: 
 debian-edu (0.852) unstable; urgency=low
 .
   * Release of five prereleases done in Debian Edu to Debian sid, aimed at
     Debian squeeze. See below for exact list of changes.
 .
   * debian-edu (0.852~svn73943) squeeze-test; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Correct the Vcs-Browser link in the control file to use the new paths.
 .
   * debian-edu (0.852~svn73634) squeeze-test; urgency=low
 .
   [ Andreas B. Mundt ]
   * Move gosa-plugin-goto from 'depends' to 'suggests' as it's not ready
     for squeeze.
 .
   [ Holger Levsen ]
   * Drop cvs from education-development's depends.
 .
   * debian-edu (0.852~svn73560) squeeze-test; urgency=low
 .
   [ Mike Gabriel ]
   * Add smbldap-tools as a helper tool for modifying LDAP objects from within
     Samba.
   * Add gosa-plugin-goto to main-server task to administrate Samba
     workstations with GOsa².
 .
   * debian-edu (0.852~svn73496) squeeze-test; urgency=low
 .
   [ Holger Levsen ]
   * Add depends to debian-edu-config-gosa-netgroups to main-server's gosa
     task.
 .
   * debian-edu (0.852~svn73464) squeeze-test; urgency=low
 .
   [ Andreas B. Mundt ]
   * Remove kdm from the 'Avoid'-list of the desktop-gnome and desktop-lxde
     tasks.  It makes kdm disappear from the DVD.
   * Add myself to Uploaders and fix documentation in debian/README.source.
   * Make vim a dependency of the common-task. Suggest emacs.
     (Closes: #617381).
 .
   [ Mike Gabriel ]
   * Make gdm a dependency of the desktop-gnome and desktop-lxde task
     as they cannot make without a login manager (Relates to: #617371).
   * Make gdm a dependency of the desktop-sugar task.
 .
   [ Holger Levsen ]
   * Replace (versioned) build-dependency on cdd-dev with an unversioned one on
     blends-dev.
 .
   [ Petter Reinholdtsen ]
   * desktop-other task.
     - Change default video applications from kino and kdenlive to
       openshot and kdenlive based on feedback on debian-edu@.
 .
   [ Andreas B. Mundt ]
   * Add libsasl2-modules-gssapi-mit to the networked-common dependencies,
     to make GSSAPI available on all machines.
   * Switch from pdns to bind and ldap2zone. Keep pdns on upgrades.
     This enables management of hosts with GOsa and has been done to enable
     further testing. Obviously it could be reverted and needs to be agreed
     on. Also needs documentation if kept for the release. (Closes: #602863)
 .
   [ Petter Reinholdtsen ]
   * Raise the priority of the language specific tasks above Gnome and
     LXDE, to make sure the DVD can be used to install a full KDE
     desktop.  This break the DVD for Gnome and LXDE.
   * desktop-other task.
     - Recommend djvulibre-plugin, to make sure the djVu format is
       handled by default.
     - Add cheese as recommended package, to get webcamera tool for
       photo snapshot and video recording.  Drop now redundant cheese
       entry from lxde task.
     - Suggest pitivi and openshot, which might be better than kino,
       kdenlive and openmovieeditor as our default video editor.
   * Make it easier to adjust how the Gnome and KDE menu overrides are
     enabled by moving the logic to a separarate script
     /usr/share/debian-edu/menu/is-enabled.
   * Adjust menu override trigger to allow it to be enabled for all
     users on a computer by adding MENUREORDER=true in
     /etc/debian-edu/config.
   * Updated control file and tasks based on the last changes.
 .
   [ Holger Levsen ]
   * Add wngerman to tasks/lang-de.
   * Remove dictionaries with old german spelling from tasks/lang-de.
   * Add gosa-help-en, gosa-help-de, gosa-help-fr, gosa-help-nl to gosa task
     and thus to mainservers depends.
   * Don't avoid+depend on vim at the same time.
 .
   [ Daniel Hess ]
   * Remove avoid on 486 linux-image versions: LTSP fails to create
     chroot on i386. The workaround from debian-edu-config does not work
     and needs further investigations before we can switch to 686
     kernels.
Checksums-Sha1: 
 58f5e2111c79c5f40a2570990ad203e72eb50e13 2688 debian-edu_0.852.dsc
 b5361a58d4d56333d5598e5b62b817b1f810faf8 132309 debian-edu_0.852.tar.gz
 d9d468387429085fa7a88fc48d2738ee61b7f604 43120 education-tasks_0.852_i386.deb
 a89e15fdd53af3d16212986c998c2018b18b6be9 76412 education-menus_0.852_i386.deb
 77868d31154c560bb1976378adca3e923c67148b 41700 education-astronomy_0.852_i386.deb
 ca4c4ccb77bf902aaa98a5837e6c130a3d4ff5c7 41704 education-chemistry_0.852_i386.deb
 10b309d7e1a5a66a8ff55b5dc9cb0ea7c7b9fac2 42274 education-common_0.852_i386.deb
 d9449eba5f1b4785a9b53fbff48675dff82f60bf 41874 education-desktop-gnome_0.852_i386.deb
 398ecfa632794111912a4437c0a770fb46a18e2d 42196 education-desktop-kde_0.852_i386.deb
 09350619b9eb66cc52b0bc0c4aec89f285acdef5 41822 education-desktop-lxde_0.852_i386.deb
 62d272837d8c6a826409588522beb4730eb56995 43604 education-desktop-other_0.852_i386.deb
 af31c6f8035a6cf2cb34b0ef71a5eeda79942463 42148 education-desktop-sugar_0.852_i386.deb
 8abe3023b92ca84f3c2c76b603f28ca9a1d3c4d7 41934 education-development_0.852_i386.deb
 acf541ba5cb455f691afa39b39c8bfe189fe1c06 41760 education-electronics_0.852_i386.deb
 ceee2b7589b0d22f2d1c4f1f904f6d3278a72e80 41714 education-geography_0.852_i386.deb
 9ce8857df352e0c150e9376bebeb5b13298698b7 41712 education-graphics_0.852_i386.deb
 b8ae15a80a9fb2aa85605cc9daa58157bfededec 41824 education-language_0.852_i386.deb
 7298d8541b107a9eaaa7101cf25cb82347b804e8 41722 education-laptop_0.852_i386.deb
 b742eef9a12afdf503c36d834d2a7d66cabbae8d 41708 education-logic-games_0.852_i386.deb
 c4ffbd5693156f55dc40de84606d75576572f257 42116 education-main-server_0.852_i386.deb
 2112901e5c7f62ded085adf3ac863a6bdc5bb573 41842 education-mathematics_0.852_i386.deb
 c7120a2f0e15d8bf95a2643fb0be3ae6c2f5b5b8 41708 education-misc_0.852_i386.deb
 eaf099b2a19ec9951879ca14916b761afa096a0d 41788 education-music_0.852_i386.deb
 97d74c6486d11b51cab88b68ed4373b71eee7977 41688 education-networked_0.852_i386.deb
 26a1d446aab3cdeb1a266deea218bea448d3eb62 41660 education-physics_0.852_i386.deb
 2abd886cb776d7d77b3e8daa444524ea31f43a54 41694 education-services_0.852_i386.deb
 3d9009981398b5812f18e672150ef89ac402f4fd 41694 education-standalone_0.852_i386.deb
 0260f7c60323b94ceed9a659f421e5e52c11ea9e 41680 education-thin-client_0.852_i386.deb
 7abdab914d1019a59f8edc1fa92c5ca9ac8406da 41838 education-thin-client-server_0.852_i386.deb
 0dfabd55f623f610f6c86f3fdc53073ba13ed19c 41670 education-workstation_0.852_i386.deb
Checksums-Sha256: 
 b1a3b710e177065ad9741db51d71adf95910245e11e1621f3cc2014b1afdcb0e 2688 debian-edu_0.852.dsc
 45c7541198967f4e3c9d1a37d10068e9779640d3eec8f1e51096c444cdb8cfe1 132309 debian-edu_0.852.tar.gz
 377cfdf54e0ec4c99b3e4cf57640bbacb7ff387c2f2239493221f0c785f195e7 43120 education-tasks_0.852_i386.deb
 b89aec19ccd06a5bab87445306b9fa21b27218e856bf06fabce8830eb7c2ee8f 76412 education-menus_0.852_i386.deb
 fbbe3b1fab3f5d60bbbcbd6a36e47c237af53de5e6ec7eca4a2f72ac67ca91c9 41700 education-astronomy_0.852_i386.deb
 2bb7cff969b9882a7488609dcdcf508d57026c3133b13e3b4151f0a26d03d573 41704 education-chemistry_0.852_i386.deb
 e905e7201c1c5a192e708a61c7bc66408b239fe9bdd48898c7f7f54833e9e543 42274 education-common_0.852_i386.deb
 8548c7dd07fac4abbfd91a96755c7d8df00fe6e4fc6ad60f4883e6692d3fa339 41874 education-desktop-gnome_0.852_i386.deb
 394b03dc3026355a498e5a7811cc965c5d207692e8574f4cb12dc1693b45f151 42196 education-desktop-kde_0.852_i386.deb
 ab940601e326c85674195c70b4e8d43dbee154b6f8190b4724262a6eda0b6a6b 41822 education-desktop-lxde_0.852_i386.deb
 7614ea7f0ab1499689b9bd7babff91c33f4e3500f14e2e2708fc48f841110548 43604 education-desktop-other_0.852_i386.deb
 527bc332106b770cc798d1dbf6c4b4270575fed7822ba8e80e06ac4ea74c58fb 42148 education-desktop-sugar_0.852_i386.deb
 70884b49b47a0ccc39592a65fd06e7b6ed427f165bc8c2a78b36ed31cfea5e09 41934 education-development_0.852_i386.deb
 3239709e62277628da67df01c4bacfd057d55754ba6d7695de1a6390c113099c 41760 education-electronics_0.852_i386.deb
 dc779a22efc1f8f1d4d09ec890a018a52797b2ff68e4cdaab755940de0deeff8 41714 education-geography_0.852_i386.deb
 8e300bbbcaa5d35a093e5c2c5fd609b298b609b4277df21001f0880299a2a3f2 41712 education-graphics_0.852_i386.deb
 4ebbb7304a0cd51487ec5ec3b03fee9ee6e088dc292346e688911d502533e6f8 41824 education-language_0.852_i386.deb
 90efa18fb745232c46e421f4ab887f39e1e28fdcd9c724be7ba38a10e9565a33 41722 education-laptop_0.852_i386.deb
 23a88713795084b02c186579554ba93b5fc5a4c69d1d34cc6e743abf4327a864 41708 education-logic-games_0.852_i386.deb
 79b992810197da94a2cae86ef3bfe13d5f2faf7e7bee19b6d8deec6d74a9787b 42116 education-main-server_0.852_i386.deb
 f29e694418dc05e8542e0418e40b42777ae07dc4e2e97e2d7e8da7ee862507ac 41842 education-mathematics_0.852_i386.deb
 9464a60318c94ca025b6ce18b803008a1b9f251562ec05500f19f83e183f294d 41708 education-misc_0.852_i386.deb
 f74a9e1829646b59ce838ca2b4c4b7556409fc1be50c71929df2b729bfef9cc7 41788 education-music_0.852_i386.deb
 215e18e10d84d846c5940bd705409bbf3fccb05c4f2120cf922af3ba60db38fc 41688 education-networked_0.852_i386.deb
 2d6b1496734a6080fad42debb765679e3d262e4547c9427f00aa00f3de34b705 41660 education-physics_0.852_i386.deb
 aa8f2d56608adaf1c182406da50bd7039ed22c00fc2eaf7bdb52100eec7525ec 41694 education-services_0.852_i386.deb
 9dc94c0e66cfb1434f2670cc215583e17acfb6ab12746d1502698d3c5d9a93b0 41694 education-standalone_0.852_i386.deb
 15af70d18ce90aa46d9565799508c1945f25e2f739ef20cc82250f6ad37194c2 41680 education-thin-client_0.852_i386.deb
 d473467edf69e756c4e8902dc8458cddb87b3eddd41ba5762c4683390850ab02 41838 education-thin-client-server_0.852_i386.deb
 883206119eea0fb6a0d22e580e46a1fa59c019f734c52d53e752374fdbd01b48 41670 education-workstation_0.852_i386.deb
Files: 
 41fa9e6bf09b2b33b2992dbc2ece03e6 2688 misc extra debian-edu_0.852.dsc
 f7deafd1f2ee08cf6ce32648dc801a44 132309 misc extra debian-edu_0.852.tar.gz
 4d0e8499473c6826707e663639d08ea0 43120 misc extra education-tasks_0.852_i386.deb
 ad452b5f545d1c49ecbb449d616d9e8e 76412 misc extra education-menus_0.852_i386.deb
 1897ba2e51341d86683f527acd27d7fa 41700 misc extra education-astronomy_0.852_i386.deb
 a9a344f1b3e1981c06cf0f1f7b0fefb5 41704 misc extra education-chemistry_0.852_i386.deb
 7c65861742bd4ac079f7ec055d22c7a4 42274 misc extra education-common_0.852_i386.deb
 b550f2f4b9d53271b50bef89459846b4 41874 gnome extra education-desktop-gnome_0.852_i386.deb
 0cce1e4491f3f5a4b363267cae04a583 42196 kde extra education-desktop-kde_0.852_i386.deb
 c90fbbda2101af59b2e7d5716091652b 41822 x11 extra education-desktop-lxde_0.852_i386.deb
 b68d4a6e20aa28c16f15fc9b1781457f 43604 misc extra education-desktop-other_0.852_i386.deb
 495946662dcbcd6251c6ba3e4168c10b 42148 x11 extra education-desktop-sugar_0.852_i386.deb
 7af07593d0d6b91187615e1ee9b91050 41934 misc extra education-development_0.852_i386.deb
 811007e26a032f8044f137eda908953d 41760 misc extra education-electronics_0.852_i386.deb
 16c47824bb8bf2404338dcbc704c2a8f 41714 misc extra education-geography_0.852_i386.deb
 38c9dc36bec8d31dc7939b05c919421d 41712 misc extra education-graphics_0.852_i386.deb
 4df34698de5a3c7718291560a0dcc219 41824 misc extra education-language_0.852_i386.deb
 85aff8d1fc0b50088c1de9acc0fba078 41722 misc extra education-laptop_0.852_i386.deb
 2cc85d1cdc11fbe6756efab3cad36920 41708 misc extra education-logic-games_0.852_i386.deb
 43278f247c1ac4f160bff6171ee43198 42116 misc extra education-main-server_0.852_i386.deb
 15f9e67312b86c11917664f0ea2eff25 41842 misc extra education-mathematics_0.852_i386.deb
 efcca4a6761b9b218d6e85e63be88c15 41708 misc extra education-misc_0.852_i386.deb
 9f03350f9e4285753d812feed3b31dc4 41788 misc extra education-music_0.852_i386.deb
 bb7098c8643230358a092ee4ad79ee56 41688 misc extra education-networked_0.852_i386.deb
 9d6a9d3d7aa37bf7e9626dd81e03eca3 41660 misc extra education-physics_0.852_i386.deb
 b1f5e1639d17f9c86ec792af9573fe17 41694 misc extra education-services_0.852_i386.deb
 d529766574248a398bbdf7f90af0905d 41694 misc extra education-standalone_0.852_i386.deb
 38e49a48f1522456d571da86e9486b4a 41680 misc extra education-thin-client_0.852_i386.deb
 f815bb38d8aa44fd041f3ddda0b1a7a1 41838 misc extra education-thin-client-server_0.852_i386.deb
 0d29ecd0f6293bd79434aa35dd0757a0 41670 misc extra education-workstation_0.852_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTvTKSQkauFYGmqocAQgdRhAApJUBLLaClK1PCU0keLC3ARg+pRftOzcY
YNRMLrDSgON9LKBzWT4Z6hBm/RB0KWlK/oaInA7SWCv2PhleHiAV468s0NJ4n2qd
Vn2ouk3iiJT/Tzc9lHfIEZiE3MuU9elZhgjgHO4eE2crwIw3niGRFSSLC0Rc/sg7
UratnNQEddJBR2cqcAXFzC++yd8EHVHxDtJ8Y/iH+n+8DV6AXkN1F2O9lsCQcvav
wKtyGYYjKwkjfMr5FOIEmqrmOCLpP0MOwy4EBhGUzKNbUasrnrR3LhVWWd87mol5
QvMzF9XP58yTGDsXsV+9qGDwpUs2k6pEBEE41eZAwQ+x0dwEtcpoEfg5hlQTlkYw
NkWmnyuxGb19oCaOkV4tgdeS8C/t0hWbjVcD0+dOgwfTHJM3HfdHBjbgVEU9Et39
FRDs+g/1NEWAYa7cF8t8LNd32Ef41Sfzd6zb4aqGAZ8cZ21kMtkqCyvwQXZr8/yq
EV7AVEpGC08cJNQatDvdnz/IOVRR/B1uc7EW4wsooX0vPNl0tbe946ci+BkjTzdh
wTsxCGoutP/DRny0J/NE5XOXA8WHQU+jm3np+gDFrZ1QVqUPDoUg8edpyfVqR5zT
uRslTnEF8B81c49PveVaLjS20BrWjAozyc5xm5pEHe7usL5ooTwnopYdgfnVATt1
en0nJFdQzHI=
=qvc7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Feb 2012 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:31:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.